OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ClearBufferObject

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBClearBufferObject :: MonadIO m => m Bool
- gl_ARB_clear_buffer_object :: Bool
- glClearBufferData :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glClearBufferSubData :: MonadIO m => GLenum -> GLenum -> GLintptr -> GLsizeiptr -> GLenum -> GLenum -> Ptr a -> m ()

# Extension Support

glGetARBClearBufferObject :: MonadIO m => m Bool Source #

Is the ARB_clear_buffer_object extension supported?

gl_ARB_clear_buffer_object :: Bool Source #

Is the ARB_clear_buffer_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBClearBufferObject` in those cases instead.

# Functions

glClearBufferData Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferStorageTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.

glClearBufferSubData Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `internalformat` of type InternalFormat.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.